com.google.cloud.dataflow.sdk.annotations

## Enum Experimental.Kind

- java.lang.Object
- - java.lang.Enum<Experimental.Kind>
  - - com.google.cloud.dataflow.sdk.annotations.Experimental.Kind

All Implemented Interfaces:
  Serializable, Comparable<Experimental.Kind>

Enclosing class:
  Experimental

    public static enum Experimental.Kind
    extends Enum<Experimental.Kind>

An enumeration of various kinds of experimental APIs.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AGGREGATOR` Aggregator-related experimental APIs.
`AUTOSCALING` Auto-scaling related experimental APIs.
`CODER_ENCODING_ID` Experimental APIs for Coder binary format identifiers.
`OUTPUT_TIME` Experimental APIs related to customizing the output time for computed values.
`SOURCE_SINK` Sources and sinks related experimental APIs.
`STATE` State-related experimental APIs.
`TIMERS` Timer-related experimental APIs.
`TRIGGER` Trigger-related experimental APIs.
`UNSPECIFIED` Generic group of experimental APIs.

### Method Summary

All Methods Static Methods Concrete Methods
`static Experimental.Kind` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Experimental.Kind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNSPECIFIED

    public static final Experimental.Kind UNSPECIFIED

Generic group of experimental APIs. This is the default value.

#### SOURCE_SINK

    public static final Experimental.Kind SOURCE_SINK

Sources and sinks related experimental APIs.

#### AUTOSCALING

    public static final Experimental.Kind AUTOSCALING

Auto-scaling related experimental APIs.

#### TRIGGER

    public static final Experimental.Kind TRIGGER

Trigger-related experimental APIs.

#### AGGREGATOR

    public static final Experimental.Kind AGGREGATOR

Aggregator-related experimental APIs.

#### CODER_ENCODING_ID

    public static final Experimental.Kind CODER_ENCODING_ID

Experimental APIs for Coder binary format identifiers.

#### STATE

    public static final Experimental.Kind STATE

State-related experimental APIs.

#### TIMERS

    public static final Experimental.Kind TIMERS

Timer-related experimental APIs.

#### OUTPUT_TIME

    public static final Experimental.Kind OUTPUT_TIME

Experimental APIs related to customizing the output time for computed values.

### Method Detail

#### values

    public static Experimental.Kind[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Experimental.Kind c : Experimental.Kind.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Experimental.Kind valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null